This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 243547 - Can not send special characters to qemu host
Can not send special characters to qemu host
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
7
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 12:46 EDT by Bill C. Riemers
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 11:45:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill C. Riemers 2007-06-09 12:46:02 EDT
Description of problem:
According to the FAQ, libvirt uses sticky keys to send special characters to the
virtual host.  An explicit example given is Ctrl Ctrl Ctrl+Alt+F1 to change to
virtual console 1.

However, no matter what I attempt the Ctrl+Alt+F1 is always interpreted by the
real host instead...

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a virtual Fedora 7 qemu guest.
2. Login on the virtual machine
3. Attempt to the virtual console 1 on the guest.
  
Actual results:

Real host switches to console 1.

Expected results:

Guest host switches to console 1.


Additional info:
Comment 1 Daniel Veillard 2007-06-11 17:50:12 EDT
The sequence is:
Ctrl
Ctrl
Ctrl
Alt+F1
And I'm sure it work for Xen. Can you retry with the correct sequence ?
I don't think it's a bug, and I don't think we can avoid the X11 server 
from grabing the Zap sequence.

Daniel
Comment 2 Bill C. Riemers 2007-06-12 11:45:58 EDT
The correct sequence works.

Note You need to log in before you can comment on or make changes to this bug.